CoyoteReader (Tomcat API Documentation)
Keywords: org.apache.catalina.connector.CoyoteReader class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class CoyoteReader

    java.lang.Object
      java.io.Reader
          java.io.BufferedReader
              org.apache.catalina.connector.CoyoteReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable

    public class CoyoteReader

extends java.io.BufferedReader

Coyote implementation of the buffred reader.

Author:
  Remy Maucherat

Field Summary
`protected InputBuffer` | `ib`
`protected char[]` | `lineBuffer`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`CoyoteReader(InputBuffer ib)`

Method Summary
`protected java.lang.Object` | `clone()` Prevent cloning the facade.
`void` | `close()`
`void` | `mark(int readAheadLimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(char[] cbuf)`
`int` | `read(char[] cbuf, int off, int len)`
`java.lang.String` | `readLine()`
`boolean` | `ready()`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ib

    protected InputBuffer ib

### lineBuffer

    protected char[] lineBuffer

Constructor Detail

### CoyoteReader

    public CoyoteReader(InputBuffer ib)

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Prevent cloning the facade.

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.BufferedReader`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.BufferedReader`
  Throws:
    `java.io.IOException`

### read

    public int read(char[] cbuf)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.Reader`
  Throws:
    `java.io.IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.BufferedReader`
  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.BufferedReader`
  Throws:
    `java.io.IOException`

### ready

    public boolean ready()
                  throws java.io.IOException

  Overrides:
    `ready` in class `java.io.BufferedReader`
  Throws:
    `java.io.IOException`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.BufferedReader`

### mark

    public void mark(int readAheadLimit)
              throws java.io.IOException

  Overrides:
    `mark` in class `java.io.BufferedReader`
  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.BufferedReader`
  Throws:
    `java.io.IOException`

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

  Overrides:
    `readLine` in class `java.io.BufferedReader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.